#ifndef CAPABILITIESELEMENTWIDGET_H
#define CAPABILITIESELEMENTWIDGET_H

#include "gmc-miscellaneousse_global.h"

#include <elementwidget.h>

namespace Ui
{
class CapabilitiesElementWidget;
}

class GMCMISCELLANEOUSSESHARED_EXPORT CapabilitiesElementWidget : public ViewEditElementWidget
{

    Q_OBJECT

public:

    CapabilitiesElementWidget( Module & /*module*/
                , bool ( * /*isEditable*/ )( const Module & ), QWidget * /*parent*/ = nullptr);
    virtual ~CapabilitiesElementWidget();

    void afterSuccessfulRead( Element * /*testElement*/, ElementData * /*elementData*/ ) override;
    ElementData *exportElementData() const override;

    QString caption() const override;

protected:

    void loadSettings();
    void saveSettings() const;

    void reset() override;
    void blockEditWidget( bool /*blocked*/ ) override;

protected:

    Ui::CapabilitiesElementWidget *_ui;

};

#endif // CAPABILITIESELEMENTWIDGET_H
