#ifndef CAPABILITIESWIDGETSE_H
#define CAPABILITIESWIDGETSE_H

#include "gmc-miscellaneousse_global.h"

#include <capabilitieswidget.h>

//******************************************************************************

namespace Ui
{
class CapabilitiesWidget;
}

class GMCMISCELLANEOUSSESHARED_EXPORT CapabilitiesWidget : public CapabilitiesWidgetKernel
{

    Q_OBJECT

public:

    CapabilitiesWidget ( QWidget * /*parent*/ = nullptr );
    virtual ~CapabilitiesWidget();

    void loadSettings( const QString & /*key*/ ) override;
    void saveSettings( const QString & /*key*/ ) const override;

protected:

    void changeLabel() override;

private:

    Ui::CapabilitiesWidget *_ui;

};

//******************************************************************************

#endif
